#include <iostream>
#include <cmath>
using namespace std;

double p;
double q;
double r;
long int L;
long int R;
long int x;
long int n;

int main() {
    cin >> p;
    cin >> q;
    cin >> r;
    cin >> L;
    cin >> R;
    x=0;
    n=ceil(3/(1-1/p-1/q-1/r));
    if (n>R){
        n=R;
    }
    else{
        if (n<L){
        x=R-L+1;
        }
        else {
        x=R-n+1;
        }
    }
    for (int i=L;i<n;i++){
        if (ceil(i/p)+ceil(i/q)+ceil(i/r)<=i){
            x++;
        }
    }
    cout << x;
	return 0;
}